# Imported via `scripts/get_instance_info.py`
instance_types_data = """
{
    "c1.medium": {
        "apiname": "c1.medium",
        "architecture": "32/64-bit",
        "clock_speed_ghz": "",
        "computeunits": 5.0,
        "ebs_iops": 0.0,
        "ebs_max_bandwidth": 0.0,
        "ebs_throughput": 0.0,
        "ecu_per_vcpu": 2.5,
        "enhanced_networking": false,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "",
        "intel_avx2": "",
        "intel_turbo": "",
        "ipv6_support": false,
        "linux_virtualization": "PV",
        "max_ips": 12,
        "memory": 1.7,
        "name": "C1 High-CPU Medium",
        "network_perf": 6.0,
        "physical_processor": "",
        "placement_group_support": false,
        "storage": 350.0,
        "vcpus": 2.0,
        "vpc_only": false
    },
    "c1.xlarge": {
        "apiname": "c1.xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "",
        "computeunits": 20.0,
        "ebs_iops": 8000.0,
        "ebs_max_bandwidth": 1000.0,
        "ebs_throughput": 125.0,
        "ecu_per_vcpu": 2.5,
        "enhanced_networking": false,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "",
        "intel_avx2": "",
        "intel_turbo": "",
        "ipv6_support": false,
        "linux_virtualization": "PV",
        "max_ips": 60,
        "memory": 7.0,
        "name": "C1 High-CPU Extra Large",
        "network_perf": 9.0,
        "physical_processor": "",
        "placement_group_support": false,
        "storage": 1680.0,
        "vcpus": 8.0,
        "vpc_only": false
    },
    "c3.2xlarge": {
        "apiname": "c3.2xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 28.0,
        "ebs_iops": 8000.0,
        "ebs_max_bandwidth": 1000.0,
        "ebs_throughput": 125.0,
        "ecu_per_vcpu": 3.5,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM, PV",
        "max_ips": 60,
        "memory": 15.0,
        "name": "C3 High-CPU Double Extra Large",
        "network_perf": 9.0,
        "physical_processor": "Intel Xeon E5-2680 v2",
        "placement_group_support": true,
        "storage": 160.0,
        "vcpus": 8.0,
        "vpc_only": false
    },
    "c3.4xlarge": {
        "apiname": "c3.4xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 55.0,
        "ebs_iops": 16000.0,
        "ebs_max_bandwidth": 2000.0,
        "ebs_throughput": 250.0,
        "ecu_per_vcpu": 3.4375,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM, PV",
        "max_ips": 240,
        "memory": 30.0,
        "name": "C3 High-CPU Quadruple Extra Large",
        "network_perf": 9.0,
        "physical_processor": "Intel Xeon E5-2680 v2",
        "placement_group_support": true,
        "storage": 320.0,
        "vcpus": 16.0,
        "vpc_only": false
    },
    "c3.8xlarge": {
        "apiname": "c3.8xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 108.0,
        "ebs_iops": 0.0,
        "ebs_max_bandwidth": 0.0,
        "ebs_throughput": 0.0,
        "ecu_per_vcpu": 3.375,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM, PV",
        "max_ips": 240,
        "memory": 60.0,
        "name": "C3 High-CPU Eight Extra Large",
        "network_perf": 12.0,
        "physical_processor": "Intel Xeon E5-2680 v2",
        "placement_group_support": true,
        "storage": 640.0,
        "vcpus": 32.0,
        "vpc_only": false
    },
    "c3.large": {
        "apiname": "c3.large",
        "architecture": "32/64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 7.0,
        "ebs_iops": 0.0,
        "ebs_max_bandwidth": 0.0,
        "ebs_throughput": 0.0,
        "ecu_per_vcpu": 3.5,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM, PV",
        "max_ips": 30,
        "memory": 3.75,
        "name": "C3 High-CPU Large",
        "network_perf": 6.0,
        "physical_processor": "Intel Xeon E5-2680 v2",
        "placement_group_support": true,
        "storage": 32.0,
        "vcpus": 2.0,
        "vpc_only": false
    },
    "c3.xlarge": {
        "apiname": "c3.xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 14.0,
        "ebs_iops": 4000.0,
        "ebs_max_bandwidth": 500.0,
        "ebs_throughput": 62.5,
        "ecu_per_vcpu": 3.5,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM, PV",
        "max_ips": 60,
        "memory": 7.5,
        "name": "C3 High-CPU Extra Large",
        "network_perf": 7.0,
        "physical_processor": "Intel Xeon E5-2680 v2",
        "placement_group_support": true,
        "storage": 80.0,
        "vcpus": 4.0,
        "vpc_only": false
    },
    "c4.2xlarge": {
        "apiname": "c4.2xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 31.0,
        "ebs_iops": 8000.0,
        "ebs_max_bandwidth": 1000.0,
        "ebs_throughput": 125.0,
        "ecu_per_vcpu": 3.875,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 60,
        "memory": 15.0,
        "name": "C4 High-CPU Double Extra Large",
        "network_perf": 9.0,
        "physical_processor": "Intel Xeon E5-2666 v3",
        "placement_group_support": true,
        "storage": 0.0,
        "vcpus": 8.0,
        "vpc_only": true
    },
    "c4.4xlarge": {
        "apiname": "c4.4xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 62.0,
        "ebs_iops": 16000.0,
        "ebs_max_bandwidth": 2000.0,
        "ebs_throughput": 250.0,
        "ecu_per_vcpu": 3.875,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 240,
        "memory": 30.0,
        "name": "C4 High-CPU Quadruple Extra Large",
        "network_perf": 9.0,
        "physical_processor": "Intel Xeon E5-2666 v3",
        "placement_group_support": true,
        "storage": 0.0,
        "vcpus": 16.0,
        "vpc_only": true
    },
    "c4.8xlarge": {
        "apiname": "c4.8xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 132.0,
        "ebs_iops": 32000.0,
        "ebs_max_bandwidth": 4000.0,
        "ebs_throughput": 500.0,
        "ecu_per_vcpu": 3.66666666667,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 240,
        "memory": 60.0,
        "name": "C4 High-CPU Eight Extra Large",
        "network_perf": 13.0,
        "physical_processor": "Intel Xeon E5-2666 v3",
        "placement_group_support": true,
        "storage": 0.0,
        "vcpus": 36.0,
        "vpc_only": true
    },
    "c4.large": {
        "apiname": "c4.large",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 8.0,
        "ebs_iops": 4000.0,
        "ebs_max_bandwidth": 500.0,
        "ebs_throughput": 62.5,
        "ecu_per_vcpu": 4.0,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 30,
        "memory": 3.75,
        "name": "C4 High-CPU Large",
        "network_perf": 7.0,
        "physical_processor": "Intel Xeon E5-2666 v3",
        "placement_group_support": true,
        "storage": 0.0,
        "vcpus": 2.0,
        "vpc_only": true
    },
    "c4.xlarge": {
        "apiname": "c4.xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 16.0,
        "ebs_iops": 6000.0,
        "ebs_max_bandwidth": 750.0,
        "ebs_throughput": 93.75,
        "ecu_per_vcpu": 4.0,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 60,
        "memory": 7.5,
        "name": "C4 High-CPU Extra Large",
        "network_perf": 9.0,
        "physical_processor": "Intel Xeon E5-2666 v3",
        "placement_group_support": true,
        "storage": 0.0,
        "vcpus": 4.0,
        "vpc_only": true
    },
    "cc2.8xlarge": {
        "apiname": "cc2.8xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "",
        "computeunits": 88.0,
        "ebs_iops": 0.0,
        "ebs_max_bandwidth": 0.0,
        "ebs_throughput": 0.0,
        "ecu_per_vcpu": 2.75,
        "enhanced_networking": false,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "",
        "intel_avx2": "",
        "intel_turbo": "",
        "ipv6_support": false,
        "linux_virtualization": "HVM",
        "max_ips": 240,
        "memory": 60.5,
        "name": "Cluster Compute Eight Extra Large",
        "network_perf": 12.0,
        "physical_processor": "",
        "placement_group_support": false,
        "storage": 3360.0,
        "vcpus": 32.0,
        "vpc_only": false
    },
    "cg1.4xlarge": {
        "apiname": "cg1.4xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "",
        "computeunits": 33.5,
        "ebs_iops": 0.0,
        "ebs_max_bandwidth": 0.0,
        "ebs_throughput": 0.0,
        "ecu_per_vcpu": 2.09375,
        "enhanced_networking": false,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "",
        "intel_avx2": "",
        "intel_turbo": "",
        "ipv6_support": false,
        "linux_virtualization": "HVM",
        "max_ips": 240,
        "memory": 22.5,
        "name": "Cluster GPU Quadruple Extra Large",
        "network_perf": 12.0,
        "physical_processor": "",
        "placement_group_support": false,
        "storage": 1680.0,
        "vcpus": 16.0,
        "vpc_only": false
    },
    "cr1.8xlarge": {
        "apiname": "cr1.8xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "",
        "computeunits": 88.0,
        "ebs_iops": 0.0,
        "ebs_max_bandwidth": 0.0,
        "ebs_throughput": 0.0,
        "ecu_per_vcpu": 2.75,
        "enhanced_networking": false,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "",
        "intel_avx2": "",
        "intel_turbo": "",
        "ipv6_support": false,
        "linux_virtualization": "Unknown",
        "max_ips": 240,
        "memory": 244.0,
        "name": "High Memory Cluster Eight Extra Large",
        "network_perf": 12.0,
        "physical_processor": "",
        "placement_group_support": false,
        "storage": 240.0,
        "vcpus": 32.0,
        "vpc_only": false
    },
    "d2.2xlarge": {
        "apiname": "d2.2xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 28.0,
        "ebs_iops": 8000.0,
        "ebs_max_bandwidth": 1000.0,
        "ebs_throughput": 125.0,
        "ecu_per_vcpu": 3.5,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 60,
        "memory": 61.0,
        "name": "D2 Double Extra Large",
        "network_perf": 9.0,
        "physical_processor": "Intel Xeon E5-2676 v3",
        "placement_group_support": true,
        "storage": 12000.0,
        "vcpus": 8.0,
        "vpc_only": false
    },
    "d2.4xlarge": {
        "apiname": "d2.4xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 56.0,
        "ebs_iops": 16000.0,
        "ebs_max_bandwidth": 2000.0,
        "ebs_throughput": 250.0,
        "ecu_per_vcpu": 3.5,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 240,
        "memory": 122.0,
        "name": "D2 Quadruple Extra Large",
        "network_perf": 9.0,
        "physical_processor": "Intel Xeon E5-2676 v3",
        "placement_group_support": true,
        "storage": 24000.0,
        "vcpus": 16.0,
        "vpc_only": false
    },
    "d2.8xlarge": {
        "apiname": "d2.8xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 116.0,
        "ebs_iops": 32000.0,
        "ebs_max_bandwidth": 4000.0,
        "ebs_throughput": 500.0,
        "ecu_per_vcpu": 3.22222222222,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 240,
        "memory": 244.0,
        "name": "D2 Eight Extra Large",
        "network_perf": 13.0,
        "physical_processor": "Intel Xeon E5-2676 v3",
        "placement_group_support": true,
        "storage": 48000.0,
        "vcpus": 36.0,
        "vpc_only": false
    },
    "d2.xlarge": {
        "apiname": "d2.xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 14.0,
        "ebs_iops": 6000.0,
        "ebs_max_bandwidth": 750.0,
        "ebs_throughput": 93.75,
        "ecu_per_vcpu": 3.5,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 60,
        "memory": 30.5,
        "name": "D2 Extra Large",
        "network_perf": 7.0,
        "physical_processor": "Intel Xeon E5-2676 v3",
        "placement_group_support": true,
        "storage": 6000.0,
        "vcpus": 4.0,
        "vpc_only": false
    },
    "f1.16xlarge": {
        "apiname": "f1.16xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 188.0,
        "ebs_iops": 75000.0,
        "ebs_max_bandwidth": 14000.0,
        "ebs_throughput": 1750.0,
        "ecu_per_vcpu": 2.9375,
        "enhanced_networking": true,
        "fpga": 8,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 400,
        "memory": 976.0,
        "name": "F1 16xlarge",
        "network_perf": 17.0,
        "physical_processor": "Intel Xeon E5-2686 v4",
        "placement_group_support": true,
        "storage": 3760.0,
        "vcpus": 64.0,
        "vpc_only": true
    },
    "f1.2xlarge": {
        "apiname": "f1.2xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 26.0,
        "ebs_iops": 12000.0,
        "ebs_max_bandwidth": 1700.0,
        "ebs_throughput": 200.0,
        "ecu_per_vcpu": 3.25,
        "enhanced_networking": true,
        "fpga": 1,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 60,
        "memory": 122.0,
        "name": "F1 Double Extra Large",
        "network_perf": 11.0,
        "physical_processor": "Intel Xeon E5-2686 v4",
        "placement_group_support": true,
        "storage": 470.0,
        "vcpus": 8.0,
        "vpc_only": true
    },
    "g2.2xlarge": {
        "apiname": "g2.2xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "",
        "computeunits": 26.0,
        "ebs_iops": 8000.0,
        "ebs_max_bandwidth": 1000.0,
        "ebs_throughput": 125.0,
        "ecu_per_vcpu": 3.25,
        "enhanced_networking": false,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "",
        "intel_avx2": "",
        "intel_turbo": "",
        "ipv6_support": false,
        "linux_virtualization": "Unknown",
        "max_ips": 60,
        "memory": 15.0,
        "name": "G2 Double Extra Large",
        "network_perf": 16.0,
        "physical_processor": "",
        "placement_group_support": true,
        "storage": 60.0,
        "vcpus": 8.0,
        "vpc_only": false
    },
    "g2.8xlarge": {
        "apiname": "g2.8xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "",
        "computeunits": 104.0,
        "ebs_iops": 0.0,
        "ebs_max_bandwidth": 0.0,
        "ebs_throughput": 0.0,
        "ecu_per_vcpu": 3.25,
        "enhanced_networking": false,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "",
        "intel_avx2": "",
        "intel_turbo": "",
        "ipv6_support": false,
        "linux_virtualization": "Unknown",
        "max_ips": 240,
        "memory": 60.0,
        "name": "G2 Eight Extra Large",
        "network_perf": 16.0,
        "physical_processor": "",
        "placement_group_support": true,
        "storage": 240.0,
        "vcpus": 32.0,
        "vpc_only": false
    },
    "g3.16xlarge": {
        "apiname": "g3.16xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 188.0,
        "ebs_iops": 80000.0,
        "ebs_max_bandwidth": 14000.0,
        "ebs_throughput": 1750.0,
        "ecu_per_vcpu": 2.9375,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 4,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 750,
        "memory": 488.0,
        "name": "G3 16xlarge",
        "network_perf": 17.0,
        "physical_processor": "Intel Xeon E5-2686 v4",
        "placement_group_support": true,
        "storage": 0.0,
        "vcpus": 64.0,
        "vpc_only": true
    },
    "g3.4xlarge": {
        "apiname": "g3.4xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 47.0,
        "ebs_iops": 20000.0,
        "ebs_max_bandwidth": 3500.0,
        "ebs_throughput": 437.0,
        "ecu_per_vcpu": 2.9375,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 1,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 240,
        "memory": 122.0,
        "name": "G3 Quadruple Extra Large",
        "network_perf": 11.0,
        "physical_processor": "Intel Xeon E5-2686 v4",
        "placement_group_support": true,
        "storage": 0.0,
        "vcpus": 16.0,
        "vpc_only": true
    },
    "g3.8xlarge": {
        "apiname": "g3.8xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 94.0,
        "ebs_iops": 40000.0,
        "ebs_max_bandwidth": 7000.0,
        "ebs_throughput": 875.0,
        "ecu_per_vcpu": 2.9375,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 2,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 240,
        "memory": 244.0,
        "name": "G3 Eight Extra Large",
        "network_perf": 13.0,
        "physical_processor": "Intel Xeon E5-2686 v4",
        "placement_group_support": true,
        "storage": 0.0,
        "vcpus": 32.0,
        "vpc_only": true
    },
    "hi1.4xlarge": {
        "apiname": "hi1.4xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "",
        "computeunits": 35.0,
        "ebs_iops": 0.0,
        "ebs_max_bandwidth": 0.0,
        "ebs_throughput": 0.0,
        "ecu_per_vcpu": 2.1875,
        "enhanced_networking": false,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "",
        "intel_avx2": "",
        "intel_turbo": "",
        "ipv6_support": false,
        "linux_virtualization": "HVM, PV",
        "max_ips": 240,
        "memory": 60.5,
        "name": "HI1. High I/O Quadruple Extra Large",
        "network_perf": 12.0,
        "physical_processor": "",
        "placement_group_support": false,
        "storage": 2048.0,
        "vcpus": 16.0,
        "vpc_only": false
    },
    "hs1.8xlarge": {
        "apiname": "hs1.8xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "",
        "computeunits": 35.0,
        "ebs_iops": 0.0,
        "ebs_max_bandwidth": 0.0,
        "ebs_throughput": 0.0,
        "ecu_per_vcpu": 2.1875,
        "enhanced_networking": false,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "",
        "intel_avx2": "",
        "intel_turbo": "",
        "ipv6_support": false,
        "linux_virtualization": "HVM, PV",
        "max_ips": 240,
        "memory": 117.0,
        "name": "High Storage Eight Extra Large",
        "network_perf": 12.0,
        "physical_processor": "",
        "placement_group_support": false,
        "storage": 48000.0,
        "vcpus": 16.0,
        "vpc_only": false
    },
    "i2.2xlarge": {
        "apiname": "i2.2xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "",
        "computeunits": 27.0,
        "ebs_iops": 8000.0,
        "ebs_max_bandwidth": 1000.0,
        "ebs_throughput": 125.0,
        "ecu_per_vcpu": 3.375,
        "enhanced_networking": false,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "",
        "intel_avx2": "",
        "intel_turbo": "",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 60,
        "memory": 61.0,
        "name": "I2 Double Extra Large",
        "network_perf": 7.0,
        "physical_processor": "",
        "placement_group_support": true,
        "storage": 1600.0,
        "vcpus": 8.0,
        "vpc_only": false
    },
    "i2.4xlarge": {
        "apiname": "i2.4xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "",
        "computeunits": 53.0,
        "ebs_iops": 16000.0,
        "ebs_max_bandwidth": 2000.0,
        "ebs_throughput": 250.0,
        "ecu_per_vcpu": 3.3125,
        "enhanced_networking": false,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "",
        "intel_avx2": "",
        "intel_turbo": "",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 240,
        "memory": 122.0,
        "name": "I2 Quadruple Extra Large",
        "network_perf": 9.0,
        "physical_processor": "",
        "placement_group_support": true,
        "storage": 3200.0,
        "vcpus": 16.0,
        "vpc_only": false
    },
    "i2.8xlarge": {
        "apiname": "i2.8xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "",
        "computeunits": 104.0,
        "ebs_iops": 0.0,
        "ebs_max_bandwidth": 0.0,
        "ebs_throughput": 0.0,
        "ecu_per_vcpu": 3.25,
        "enhanced_networking": false,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "",
        "intel_avx2": "",
        "intel_turbo": "",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 240,
        "memory": 244.0,
        "name": "I2 Eight Extra Large",
        "network_perf": 13.0,
        "physical_processor": "",
        "placement_group_support": true,
        "storage": 6400.0,
        "vcpus": 32.0,
        "vpc_only": false
    },
    "i2.xlarge": {
        "apiname": "i2.xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "",
        "computeunits": 14.0,
        "ebs_iops": 4000.0,
        "ebs_max_bandwidth": 500.0,
        "ebs_throughput": 62.5,
        "ecu_per_vcpu": 3.5,
        "enhanced_networking": false,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "",
        "intel_avx2": "",
        "intel_turbo": "",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 60,
        "memory": 30.5,
        "name": "I2 Extra Large",
        "network_perf": 7.0,
        "physical_processor": "",
        "placement_group_support": true,
        "storage": 800.0,
        "vcpus": 4.0,
        "vpc_only": false
    },
    "i3.16xlarge": {
        "apiname": "i3.16xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 200.0,
        "ebs_iops": 65000.0,
        "ebs_max_bandwidth": 14000.0,
        "ebs_throughput": 1750.0,
        "ecu_per_vcpu": 3.125,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "Unknown",
        "max_ips": 750,
        "memory": 488.0,
        "name": "I3 High I/O 16xlarge",
        "network_perf": 17.0,
        "physical_processor": "Intel Xeon E5-2686 v4",
        "placement_group_support": true,
        "storage": 15200.0,
        "vcpus": 64.0,
        "vpc_only": true
    },
    "i3.2xlarge": {
        "apiname": "i3.2xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 27.0,
        "ebs_iops": 12000.0,
        "ebs_max_bandwidth": 1700.0,
        "ebs_throughput": 200.0,
        "ecu_per_vcpu": 3.375,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "Unknown",
        "max_ips": 60,
        "memory": 61.0,
        "name": "I3 High I/O Double Extra Large",
        "network_perf": 11.0,
        "physical_processor": "Intel Xeon E5-2686 v4",
        "placement_group_support": true,
        "storage": 1900.0,
        "vcpus": 8.0,
        "vpc_only": true
    },
    "i3.4xlarge": {
        "apiname": "i3.4xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 53.0,
        "ebs_iops": 16000.0,
        "ebs_max_bandwidth": 3500.0,
        "ebs_throughput": 400.0,
        "ecu_per_vcpu": 3.3125,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "Unknown",
        "max_ips": 240,
        "memory": 122.0,
        "name": "I3 High I/O Quadruple Extra Large",
        "network_perf": 11.0,
        "physical_processor": "Intel Xeon E5-2686 v4",
        "placement_group_support": true,
        "storage": 3800.0,
        "vcpus": 16.0,
        "vpc_only": true
    },
    "i3.8xlarge": {
        "apiname": "i3.8xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 99.0,
        "ebs_iops": 32500.0,
        "ebs_max_bandwidth": 7000.0,
        "ebs_throughput": 850.0,
        "ecu_per_vcpu": 3.09375,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "Unknown",
        "max_ips": 240,
        "memory": 244.0,
        "name": "I3 High I/O Eight Extra Large",
        "network_perf": 13.0,
        "physical_processor": "Intel Xeon E5-2686 v4",
        "placement_group_support": true,
        "storage": 7600.0,
        "vcpus": 32.0,
        "vpc_only": true
    },
    "i3.large": {
        "apiname": "i3.large",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 7.0,
        "ebs_iops": 3000.0,
        "ebs_max_bandwidth": 425.0,
        "ebs_throughput": 50.0,
        "ecu_per_vcpu": 3.5,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "Unknown",
        "max_ips": 30,
        "memory": 15.25,
        "name": "I3 High I/O Large",
        "network_perf": 11.0,
        "physical_processor": "Intel Xeon E5-2686 v4",
        "placement_group_support": true,
        "storage": 475.0,
        "vcpus": 2.0,
        "vpc_only": true
    },
    "i3.xlarge": {
        "apiname": "i3.xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 13.0,
        "ebs_iops": 6000.0,
        "ebs_max_bandwidth": 850.0,
        "ebs_throughput": 100.0,
        "ecu_per_vcpu": 3.25,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "Unknown",
        "max_ips": 60,
        "memory": 30.5,
        "name": "I3 High I/O Extra Large",
        "network_perf": 11.0,
        "physical_processor": "Intel Xeon E5-2686 v4",
        "placement_group_support": true,
        "storage": 950.0,
        "vcpus": 4.0,
        "vpc_only": true
    },
    "m1.large": {
        "apiname": "m1.large",
        "architecture": "64-bit",
        "clock_speed_ghz": "",
        "computeunits": 4.0,
        "ebs_iops": 4000.0,
        "ebs_max_bandwidth": 500.0,
        "ebs_throughput": 62.5,
        "ecu_per_vcpu": 2.0,
        "enhanced_networking": false,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "",
        "intel_avx2": "",
        "intel_turbo": "",
        "ipv6_support": false,
        "linux_virtualization": "PV",
        "max_ips": 30,
        "memory": 7.5,
        "name": "M1 General Purpose Large",
        "network_perf": 7.0,
        "physical_processor": "",
        "placement_group_support": false,
        "storage": 840.0,
        "vcpus": 2.0,
        "vpc_only": false
    },
    "m1.medium": {
        "apiname": "m1.medium",
        "architecture": "32/64-bit",
        "clock_speed_ghz": "",
        "computeunits": 2.0,
        "ebs_iops": 0.0,
        "ebs_max_bandwidth": 0.0,
        "ebs_throughput": 0.0,
        "ecu_per_vcpu": 2.0,
        "enhanced_networking": false,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "",
        "intel_avx2": "",
        "intel_turbo": "",
        "ipv6_support": false,
        "linux_virtualization": "PV",
        "max_ips": 12,
        "memory": 3.75,
        "name": "M1 General Purpose Medium",
        "network_perf": 6.0,
        "physical_processor": "",
        "placement_group_support": false,
        "storage": 410.0,
        "vcpus": 1.0,
        "vpc_only": false
    },
    "m1.small": {
        "apiname": "m1.small",
        "architecture": "32/64-bit",
        "clock_speed_ghz": "",
        "computeunits": 1.0,
        "ebs_iops": 0.0,
        "ebs_max_bandwidth": 0.0,
        "ebs_throughput": 0.0,
        "ecu_per_vcpu": 1.0,
        "enhanced_networking": false,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "",
        "intel_avx2": "",
        "intel_turbo": "",
        "ipv6_support": false,
        "linux_virtualization": "PV",
        "max_ips": 8,
        "memory": 1.7,
        "name": "M1 General Purpose Small",
        "network_perf": 2.0,
        "physical_processor": "",
        "placement_group_support": false,
        "storage": 160.0,
        "vcpus": 1.0,
        "vpc_only": false
    },
    "m1.xlarge": {
        "apiname": "m1.xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "",
        "computeunits": 8.0,
        "ebs_iops": 8000.0,
        "ebs_max_bandwidth": 1000.0,
        "ebs_throughput": 125.0,
        "ecu_per_vcpu": 2.0,
        "enhanced_networking": false,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "",
        "intel_avx2": "",
        "intel_turbo": "",
        "ipv6_support": false,
        "linux_virtualization": "PV",
        "max_ips": 60,
        "memory": 15.0,
        "name": "M1 General Purpose Extra Large",
        "network_perf": 9.0,
        "physical_processor": "",
        "placement_group_support": false,
        "storage": 1680.0,
        "vcpus": 4.0,
        "vpc_only": false
    },
    "m2.2xlarge": {
        "apiname": "m2.2xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "",
        "computeunits": 13.0,
        "ebs_iops": 4000.0,
        "ebs_max_bandwidth": 500.0,
        "ebs_throughput": 62.5,
        "ecu_per_vcpu": 3.25,
        "enhanced_networking": false,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "",
        "intel_avx2": "",
        "intel_turbo": "",
        "ipv6_support": false,
        "linux_virtualization": "PV",
        "max_ips": 120,
        "memory": 34.2,
        "name": "M2 High Memory Double Extra Large",
        "network_perf": 7.0,
        "physical_processor": "",
        "placement_group_support": false,
        "storage": 850.0,
        "vcpus": 4.0,
        "vpc_only": false
    },
    "m2.4xlarge": {
        "apiname": "m2.4xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "",
        "computeunits": 26.0,
        "ebs_iops": 8000.0,
        "ebs_max_bandwidth": 1000.0,
        "ebs_throughput": 125.0,
        "ecu_per_vcpu": 3.25,
        "enhanced_networking": false,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "",
        "intel_avx2": "",
        "intel_turbo": "",
        "ipv6_support": false,
        "linux_virtualization": "PV",
        "max_ips": 240,
        "memory": 68.4,
        "name": "M2 High Memory Quadruple Extra Large",
        "network_perf": 9.0,
        "physical_processor": "",
        "placement_group_support": false,
        "storage": 1680.0,
        "vcpus": 8.0,
        "vpc_only": false
    },
    "m2.xlarge": {
        "apiname": "m2.xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "",
        "computeunits": 6.5,
        "ebs_iops": 0.0,
        "ebs_max_bandwidth": 0.0,
        "ebs_throughput": 0.0,
        "ecu_per_vcpu": 3.25,
        "enhanced_networking": false,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "",
        "intel_avx2": "",
        "intel_turbo": "",
        "ipv6_support": false,
        "linux_virtualization": "PV",
        "max_ips": 60,
        "memory": 17.1,
        "name": "M2 High Memory Extra Large",
        "network_perf": 6.0,
        "physical_processor": "",
        "placement_group_support": false,
        "storage": 420.0,
        "vcpus": 2.0,
        "vpc_only": false
    },
    "m3.2xlarge": {
        "apiname": "m3.2xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 26.0,
        "ebs_iops": 8000.0,
        "ebs_max_bandwidth": 1000.0,
        "ebs_throughput": 125.0,
        "ecu_per_vcpu": 3.25,
        "enhanced_networking": false,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "",
        "intel_turbo": "Yes",
        "ipv6_support": false,
        "linux_virtualization": "HVM, PV",
        "max_ips": 120,
        "memory": 30.0,
        "name": "M3 General Purpose Double Extra Large",
        "network_perf": 9.0,
        "physical_processor": "Intel Xeon E5-2670 v2",
        "placement_group_support": false,
        "storage": 160.0,
        "vcpus": 8.0,
        "vpc_only": false
    },
    "m3.large": {
        "apiname": "m3.large",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 6.5,
        "ebs_iops": 0.0,
        "ebs_max_bandwidth": 0.0,
        "ebs_throughput": 0.0,
        "ecu_per_vcpu": 3.25,
        "enhanced_networking": false,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "",
        "intel_turbo": "Yes",
        "ipv6_support": false,
        "linux_virtualization": "HVM, PV",
        "max_ips": 30,
        "memory": 7.5,
        "name": "M3 General Purpose Large",
        "network_perf": 6.0,
        "physical_processor": "Intel Xeon E5-2670 v2",
        "placement_group_support": false,
        "storage": 32.0,
        "vcpus": 2.0,
        "vpc_only": false
    },
    "m3.medium": {
        "apiname": "m3.medium",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 3.0,
        "ebs_iops": 0.0,
        "ebs_max_bandwidth": 0.0,
        "ebs_throughput": 0.0,
        "ecu_per_vcpu": 3.0,
        "enhanced_networking": false,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "",
        "intel_turbo": "Yes",
        "ipv6_support": false,
        "linux_virtualization": "HVM, PV",
        "max_ips": 12,
        "memory": 3.75,
        "name": "M3 General Purpose Medium",
        "network_perf": 6.0,
        "physical_processor": "Intel Xeon E5-2670 v2",
        "placement_group_support": false,
        "storage": 4.0,
        "vcpus": 1.0,
        "vpc_only": false
    },
    "m3.xlarge": {
        "apiname": "m3.xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 13.0,
        "ebs_iops": 4000.0,
        "ebs_max_bandwidth": 500.0,
        "ebs_throughput": 62.5,
        "ecu_per_vcpu": 3.25,
        "enhanced_networking": false,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "",
        "intel_turbo": "Yes",
        "ipv6_support": false,
        "linux_virtualization": "HVM, PV",
        "max_ips": 60,
        "memory": 15.0,
        "name": "M3 General Purpose Extra Large",
        "network_perf": 9.0,
        "physical_processor": "Intel Xeon E5-2670 v2",
        "placement_group_support": false,
        "storage": 80.0,
        "vcpus": 4.0,
        "vpc_only": false
    },
    "m4.10xlarge": {
        "apiname": "m4.10xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 124.5,
        "ebs_iops": 32000.0,
        "ebs_max_bandwidth": 4000.0,
        "ebs_throughput": 500.0,
        "ecu_per_vcpu": 3.1125,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 240,
        "memory": 160.0,
        "name": "M4 Deca Extra Large",
        "network_perf": 13.0,
        "physical_processor": "Intel Xeon E5-2676 v3",
        "placement_group_support": true,
        "storage": 0.0,
        "vcpus": 40.0,
        "vpc_only": true
    },
    "m4.16xlarge": {
        "apiname": "m4.16xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 188.0,
        "ebs_iops": 65000.0,
        "ebs_max_bandwidth": 10000.0,
        "ebs_throughput": 1250.0,
        "ecu_per_vcpu": 2.9375,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 240,
        "memory": 256.0,
        "name": "M4 16xlarge",
        "network_perf": 17.0,
        "physical_processor": "Intel Xeon E5-2686 v4",
        "placement_group_support": true,
        "storage": 0.0,
        "vcpus": 64.0,
        "vpc_only": true
    },
    "m4.2xlarge": {
        "apiname": "m4.2xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 26.0,
        "ebs_iops": 8000.0,
        "ebs_max_bandwidth": 1000.0,
        "ebs_throughput": 125.0,
        "ecu_per_vcpu": 3.25,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 60,
        "memory": 32.0,
        "name": "M4 Double Extra Large",
        "network_perf": 9.0,
        "physical_processor": "Intel Xeon E5-2676 v3",
        "placement_group_support": true,
        "storage": 0.0,
        "vcpus": 8.0,
        "vpc_only": true
    },
    "m4.4xlarge": {
        "apiname": "m4.4xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 53.5,
        "ebs_iops": 16000.0,
        "ebs_max_bandwidth": 2000.0,
        "ebs_throughput": 250.0,
        "ecu_per_vcpu": 3.34375,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 240,
        "memory": 64.0,
        "name": "M4 Quadruple Extra Large",
        "network_perf": 9.0,
        "physical_processor": "Intel Xeon E5-2676 v3",
        "placement_group_support": true,
        "storage": 0.0,
        "vcpus": 16.0,
        "vpc_only": true
    },
    "m4.large": {
        "apiname": "m4.large",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 6.5,
        "ebs_iops": 3600.0,
        "ebs_max_bandwidth": 450.0,
        "ebs_throughput": 56.25,
        "ecu_per_vcpu": 3.25,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 20,
        "memory": 8.0,
        "name": "M4 Large",
        "network_perf": 7.0,
        "physical_processor": "Intel Xeon E5-2676 v3",
        "placement_group_support": true,
        "storage": 0.0,
        "vcpus": 2.0,
        "vpc_only": true
    },
    "m4.xlarge": {
        "apiname": "m4.xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 13.0,
        "ebs_iops": 6000.0,
        "ebs_max_bandwidth": 750.0,
        "ebs_throughput": 93.75,
        "ecu_per_vcpu": 3.25,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 60,
        "memory": 16.0,
        "name": "M4 Extra Large",
        "network_perf": 9.0,
        "physical_processor": "Intel Xeon E5-2676 v3",
        "placement_group_support": true,
        "storage": 0.0,
        "vcpus": 4.0,
        "vpc_only": true
    },
    "p2.16xlarge": {
        "apiname": "p2.16xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 188.0,
        "ebs_iops": 65000.0,
        "ebs_max_bandwidth": 10000.0,
        "ebs_throughput": 1250.0,
        "ecu_per_vcpu": 2.9375,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 16,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 240,
        "memory": 732.0,
        "name": "General Purpose GPU 16xlarge",
        "network_perf": 17.0,
        "physical_processor": "Intel Xeon E5-2686 v4",
        "placement_group_support": true,
        "storage": 0.0,
        "vcpus": 64.0,
        "vpc_only": true
    },
    "p2.8xlarge": {
        "apiname": "p2.8xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 94.0,
        "ebs_iops": 32500.0,
        "ebs_max_bandwidth": 5000.0,
        "ebs_throughput": 625.0,
        "ecu_per_vcpu": 2.9375,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 8,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 240,
        "memory": 488.0,
        "name": "General Purpose GPU Eight Extra Large",
        "network_perf": 13.0,
        "physical_processor": "Intel Xeon E5-2686 v4",
        "placement_group_support": true,
        "storage": 0.0,
        "vcpus": 32.0,
        "vpc_only": true
    },
    "p2.xlarge": {
        "apiname": "p2.xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 12.0,
        "ebs_iops": 6000.0,
        "ebs_max_bandwidth": 750.0,
        "ebs_throughput": 93.75,
        "ecu_per_vcpu": 3.0,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 1,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 60,
        "memory": 61.0,
        "name": "General Purpose GPU Extra Large",
        "network_perf": 9.0,
        "physical_processor": "Intel Xeon E5-2686 v4",
        "placement_group_support": true,
        "storage": 0.0,
        "vcpus": 4.0,
        "vpc_only": true
    },
    "r3.2xlarge": {
        "apiname": "r3.2xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 26.0,
        "ebs_iops": 8000.0,
        "ebs_max_bandwidth": 1000.0,
        "ebs_throughput": 125.0,
        "ecu_per_vcpu": 3.25,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 60,
        "memory": 61.0,
        "name": "R3 High-Memory Double Extra Large",
        "network_perf": 9.0,
        "physical_processor": "Intel Xeon E5-2670 v2",
        "placement_group_support": true,
        "storage": 160.0,
        "vcpus": 8.0,
        "vpc_only": false
    },
    "r3.4xlarge": {
        "apiname": "r3.4xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 52.0,
        "ebs_iops": 16000.0,
        "ebs_max_bandwidth": 2000.0,
        "ebs_throughput": 250.0,
        "ecu_per_vcpu": 3.25,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 240,
        "memory": 122.0,
        "name": "R3 High-Memory Quadruple Extra Large",
        "network_perf": 9.0,
        "physical_processor": "Intel Xeon E5-2670 v2",
        "placement_group_support": true,
        "storage": 320.0,
        "vcpus": 16.0,
        "vpc_only": false
    },
    "r3.8xlarge": {
        "apiname": "r3.8xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 104.0,
        "ebs_iops": 0.0,
        "ebs_max_bandwidth": 0.0,
        "ebs_throughput": 0.0,
        "ecu_per_vcpu": 3.25,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 240,
        "memory": 244.0,
        "name": "R3 High-Memory Eight Extra Large",
        "network_perf": 12.0,
        "physical_processor": "Intel Xeon E5-2670 v2",
        "placement_group_support": true,
        "storage": 640.0,
        "vcpus": 32.0,
        "vpc_only": false
    },
    "r3.large": {
        "apiname": "r3.large",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 6.5,
        "ebs_iops": 0.0,
        "ebs_max_bandwidth": 0.0,
        "ebs_throughput": 0.0,
        "ecu_per_vcpu": 3.25,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 30,
        "memory": 15.25,
        "name": "R3 High-Memory Large",
        "network_perf": 6.0,
        "physical_processor": "Intel Xeon E5-2670 v2",
        "placement_group_support": true,
        "storage": 32.0,
        "vcpus": 2.0,
        "vpc_only": false
    },
    "r3.xlarge": {
        "apiname": "r3.xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 13.0,
        "ebs_iops": 4000.0,
        "ebs_max_bandwidth": 500.0,
        "ebs_throughput": 62.5,
        "ecu_per_vcpu": 3.25,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 60,
        "memory": 30.5,
        "name": "R3 High-Memory Extra Large",
        "network_perf": 7.0,
        "physical_processor": "Intel Xeon E5-2670 v2",
        "placement_group_support": true,
        "storage": 80.0,
        "vcpus": 4.0,
        "vpc_only": false
    },
    "r4.16xlarge": {
        "apiname": "r4.16xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 195.0,
        "ebs_iops": 75000.0,
        "ebs_max_bandwidth": 14000.0,
        "ebs_throughput": 1750.0,
        "ecu_per_vcpu": 3.046875,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 750,
        "memory": 488.0,
        "name": "R4 High-Memory 16xlarge",
        "network_perf": 17.0,
        "physical_processor": "Intel Xeon E5-2686 v4",
        "placement_group_support": true,
        "storage": 0.0,
        "vcpus": 64.0,
        "vpc_only": true
    },
    "r4.2xlarge": {
        "apiname": "r4.2xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 27.0,
        "ebs_iops": 12000.0,
        "ebs_max_bandwidth": 1750.0,
        "ebs_throughput": 218.0,
        "ecu_per_vcpu": 3.375,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 60,
        "memory": 61.0,
        "name": "R4 High-Memory Double Extra Large",
        "network_perf": 11.0,
        "physical_processor": "Intel Xeon E5-2686 v4",
        "placement_group_support": true,
        "storage": 0.0,
        "vcpus": 8.0,
        "vpc_only": true
    },
    "r4.4xlarge": {
        "apiname": "r4.4xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 53.0,
        "ebs_iops": 18750.0,
        "ebs_max_bandwidth": 3500.0,
        "ebs_throughput": 437.0,
        "ecu_per_vcpu": 3.3125,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 240,
        "memory": 122.0,
        "name": "R4 High-Memory Quadruple Extra Large",
        "network_perf": 11.0,
        "physical_processor": "Intel Xeon E5-2686 v4",
        "placement_group_support": true,
        "storage": 0.0,
        "vcpus": 16.0,
        "vpc_only": true
    },
    "r4.8xlarge": {
        "apiname": "r4.8xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 99.0,
        "ebs_iops": 37500.0,
        "ebs_max_bandwidth": 7000.0,
        "ebs_throughput": 875.0,
        "ecu_per_vcpu": 3.09375,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 240,
        "memory": 244.0,
        "name": "R4 High-Memory Eight Extra Large",
        "network_perf": 13.0,
        "physical_processor": "Intel Xeon E5-2686 v4",
        "placement_group_support": true,
        "storage": 0.0,
        "vcpus": 32.0,
        "vpc_only": true
    },
    "r4.large": {
        "apiname": "r4.large",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 7.0,
        "ebs_iops": 3000.0,
        "ebs_max_bandwidth": 437.0,
        "ebs_throughput": 54.0,
        "ecu_per_vcpu": 3.5,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 30,
        "memory": 15.25,
        "name": "R4 High-Memory Large",
        "network_perf": 11.0,
        "physical_processor": "Intel Xeon E5-2686 v4",
        "placement_group_support": true,
        "storage": 0.0,
        "vcpus": 2.0,
        "vpc_only": true
    },
    "r4.xlarge": {
        "apiname": "r4.xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 13.5,
        "ebs_iops": 6000.0,
        "ebs_max_bandwidth": 875.0,
        "ebs_throughput": 109.0,
        "ecu_per_vcpu": 3.375,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 60,
        "memory": 30.5,
        "name": "R4 High-Memory Extra Large",
        "network_perf": 11.0,
        "physical_processor": "Intel Xeon E5-2686 v4",
        "placement_group_support": true,
        "storage": 0.0,
        "vcpus": 4.0,
        "vpc_only": true
    },
    "t1.micro": {
        "apiname": "t1.micro",
        "architecture": "32/64-bit",
        "clock_speed_ghz": "",
        "computeunits": 0.0,
        "ebs_iops": 0.0,
        "ebs_max_bandwidth": 0.0,
        "ebs_throughput": 0.0,
        "ecu_per_vcpu": 0.0,
        "enhanced_networking": false,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "",
        "intel_avx2": "",
        "intel_turbo": "",
        "ipv6_support": false,
        "linux_virtualization": "PV",
        "max_ips": 4,
        "memory": 0.613,
        "name": "T1 Micro",
        "network_perf": 0.0,
        "physical_processor": "",
        "placement_group_support": false,
        "storage": 0.0,
        "vcpus": 1.0,
        "vpc_only": false
    },
    "t2.2xlarge": {
        "apiname": "t2.2xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 1.35,
        "ebs_iops": 0.0,
        "ebs_max_bandwidth": 0.0,
        "ebs_throughput": 0.0,
        "ecu_per_vcpu": 0.0,
        "enhanced_networking": false,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 45,
        "memory": 32.0,
        "name": "T2 Double Extra Large",
        "network_perf": 6.0,
        "physical_processor": "Intel Xeon family",
        "placement_group_support": false,
        "storage": 0.0,
        "vcpus": 8.0,
        "vpc_only": true
    },
    "t2.large": {
        "apiname": "t2.large",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 0.6,
        "ebs_iops": 0.0,
        "ebs_max_bandwidth": 0.0,
        "ebs_throughput": 0.0,
        "ecu_per_vcpu": 0.0,
        "enhanced_networking": false,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 36,
        "memory": 8.0,
        "name": "T2 Large",
        "network_perf": 4.0,
        "physical_processor": "Intel Xeon family",
        "placement_group_support": false,
        "storage": 0.0,
        "vcpus": 2.0,
        "vpc_only": true
    },
    "t2.medium": {
        "apiname": "t2.medium",
        "architecture": "32/64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 0.4,
        "ebs_iops": 0.0,
        "ebs_max_bandwidth": 0.0,
        "ebs_throughput": 0.0,
        "ecu_per_vcpu": 0.0,
        "enhanced_networking": false,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 18,
        "memory": 4.0,
        "name": "T2 Medium",
        "network_perf": 4.0,
        "physical_processor": "Intel Xeon family",
        "placement_group_support": false,
        "storage": 0.0,
        "vcpus": 2.0,
        "vpc_only": true
    },
    "t2.micro": {
        "apiname": "t2.micro",
        "architecture": "32/64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 0.1,
        "ebs_iops": 0.0,
        "ebs_max_bandwidth": 0.0,
        "ebs_throughput": 0.0,
        "ecu_per_vcpu": 0.0,
        "enhanced_networking": false,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 4,
        "memory": 1.0,
        "name": "T2 Micro",
        "network_perf": 4.0,
        "physical_processor": "Intel Xeon family",
        "placement_group_support": false,
        "storage": 0.0,
        "vcpus": 1.0,
        "vpc_only": true
    },
    "t2.nano": {
        "apiname": "t2.nano",
        "architecture": "32/64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 0.05,
        "ebs_iops": 0.0,
        "ebs_max_bandwidth": 0.0,
        "ebs_throughput": 0.0,
        "ecu_per_vcpu": 0.0,
        "enhanced_networking": false,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 4,
        "memory": 0.5,
        "name": "T2 Nano",
        "network_perf": 2.0,
        "physical_processor": "Intel Xeon family",
        "placement_group_support": false,
        "storage": 0.0,
        "vcpus": 1.0,
        "vpc_only": true
    },
    "t2.small": {
        "apiname": "t2.small",
        "architecture": "32/64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 0.2,
        "ebs_iops": 0.0,
        "ebs_max_bandwidth": 0.0,
        "ebs_throughput": 0.0,
        "ecu_per_vcpu": 0.0,
        "enhanced_networking": false,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 8,
        "memory": 2.0,
        "name": "T2 Small",
        "network_perf": 4.0,
        "physical_processor": "Intel Xeon family",
        "placement_group_support": false,
        "storage": 0.0,
        "vcpus": 1.0,
        "vpc_only": true
    },
    "t2.xlarge": {
        "apiname": "t2.xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 0.9,
        "ebs_iops": 0.0,
        "ebs_max_bandwidth": 0.0,
        "ebs_throughput": 0.0,
        "ecu_per_vcpu": 0.0,
        "enhanced_networking": false,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 45,
        "memory": 16.0,
        "name": "T2 Extra Large",
        "network_perf": 6.0,
        "physical_processor": "Intel Xeon family",
        "placement_group_support": false,
        "storage": 0.0,
        "vcpus": 4.0,
        "vpc_only": true
    },
    "x1.16xlarge": {
        "apiname": "x1.16xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 174.5,
        "ebs_iops": 40000.0,
        "ebs_max_bandwidth": 7000.0,
        "ebs_throughput": 875.0,
        "ecu_per_vcpu": 2.7265625,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 240,
        "memory": 976.0,
        "name": "X1 Extra High-Memory 16xlarge",
        "network_perf": 13.0,
        "physical_processor": "Intel Xeon E7-8880 v3",
        "placement_group_support": true,
        "storage": 1920.0,
        "vcpus": 64.0,
        "vpc_only": true
    },
    "x1.32xlarge": {
        "apiname": "x1.32xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 349.0,
        "ebs_iops": 80000.0,
        "ebs_max_bandwidth": 14000.0,
        "ebs_throughput": 1750.0,
        "ecu_per_vcpu": 2.7265625,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": true,
        "linux_virtualization": "HVM",
        "max_ips": 240,
        "memory": 1952.0,
        "name": "X1 Extra High-Memory 32xlarge",
        "network_perf": 17.0,
        "physical_processor": "Intel Xeon E7-8880 v3",
        "placement_group_support": true,
        "storage": 3840.0,
        "vcpus": 128.0,
        "vpc_only": true
    },
    "x1e.32xlarge": {
        "apiname": "x1e.32xlarge",
        "architecture": "64-bit",
        "clock_speed_ghz": "Yes",
        "computeunits": 340.0,
        "ebs_iops": 80000.0,
        "ebs_max_bandwidth": 14000.0,
        "ebs_throughput": 1750.0,
        "ecu_per_vcpu": 2.65625,
        "enhanced_networking": true,
        "fpga": 0,
        "gpus": 0,
        "intel_avx": "Yes",
        "intel_avx2": "Yes",
        "intel_turbo": "Yes",
        "ipv6_support": false,
        "linux_virtualization": "Unknown",
        "max_ips": 240,
        "memory": 3904.0,
        "name": "X1E 32xlarge",
        "network_perf": 17.0,
        "physical_processor": "Intel Xeon E7-8880 v3",
        "placement_group_support": false,
        "storage": 3840.0,
        "vcpus": 128.0,
        "vpc_only": true
    }
}"""
